org.apache.fop.render.pdf.extensions

## Class PDFArrayExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension
  - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
    - - org.apache.fop.render.pdf.extensions.PDFCollectionExtension
      - - org.apache.fop.render.pdf.extensions.PDFArrayExtension

    public class PDFArrayExtension
    extends PDFCollectionExtension

### Field Summary

### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

`PROPERTY_KEY`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry(PDFCollectionEntryExtension entry)`
`String` `getElementName()`
`List<PDFCollectionEntryExtension>` `getEntries()`
`PDFCollectionEntryExtension` `getLastEntry()`
`String` `getProperty(String name)`
`Object` `getValue()`
`void` `setProperty(String name, String value)`
`void` `setValue(Object value)`

### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

`getKey, setKey`

### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension

`getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setValue

    public void setValue(Object value)

Overrides:
  `setValue` in class `PDFObjectExtension`

#### getValue

    public Object getValue()

Overrides:
  `getValue` in class `PDFObjectExtension`

#### setProperty

    public void setProperty(String name,
                            String value)

#### getProperty

    public String getProperty(String name)

#### addEntry

    public void addEntry(PDFCollectionEntryExtension entry)

Specified by:
  `addEntry` in class `PDFCollectionExtension`

#### getEntries

    public List<PDFCollectionEntryExtension> getEntries()

#### getLastEntry

    public PDFCollectionEntryExtension getLastEntry()

Specified by:
  `getLastEntry` in class `PDFCollectionExtension`

#### getElementName

    public String getElementName()

Overrides:
  `getElementName` in class `PDFObjectExtension`